@ECHO OFF & PUSHD "%~DP0" 

:MENU
ECHO.&ECHO 1、启用安装监视器，进程会驻留（UninstallMonitor.exe）
ECHO.&ECHO 2、禁用安装监视器，无进程驻留（UninstallMonitor.exe）
CHOICE /C 12 /N >NUL 2>NUL
IF "%ERRORLEVEL%"=="2" GOTO Disable
IF "%ERRORLEVEL%"=="1" GOTO Enable

:Enable
taskkill /f /im IObitUninstaler.exe >NUL 2>NUL
taskkill /f /im UninstallMonitor.exe >NUL 2>NUL
taskkill /f /im UninstallPromote.exe >NUL 2>NUL
if exist "%~dp0App\Uninstaller\UninstallMonitor.bak" ren "%~dp0App\Uninstaller\UninstallMonitor.bak" UninstallMonitor.exe >NUL 2>NUL
if exist "%~dp0App\Uninstaller\UninstallPromote.bak" ren "%~dp0App\Uninstaller\UninstallPromote.bak" UninstallPromote.exe >NUL 2>NUL
if exist "%~dp0App\Uninstaller\IUService.bak" ren "%~dp0App\Uninstaller\IUService.bak" IUService.exe >NUL 2>NUL
ECHO.&ECHO 启用完成 &TIMEOUT /t 2 >NUL&EXIT
:Disable
taskkill /f /im IObitUninstaler.exe >NUL 2>NUL
taskkill /f /im UninstallMonitor.exe >NUL 2>NUL
taskkill /f /im UninstallPromote.exe >NUL 2>NUL
if exist "%~dp0App\Uninstaller\UninstallMonitor.exe" ren "%~dp0App\Uninstaller\UninstallMonitor.exe" UninstallMonitor.bak >NUL 2>NUL
if exist "%~dp0App\Uninstaller\UninstallPromote.exe" ren "%~dp0App\Uninstaller\UninstallPromote.exe" UninstallPromote.bak >NUL 2>NUL
if exist "%~dp0App\Uninstaller\IUService.exe" ren "%~dp0App\Uninstaller\IUService.exe" IUService.bak >NUL 2>NUL
ECHO.&ECHO 禁用完成 &TIMEOUT /t 2 >NUL&EXIT